<ng-container *ngIf="!pagination.empty">
  <section class="t-pagination">
    <div class="pgntn-info">
      <div class="pgntn-per-page">
        <div class="pgntn-show">Tampilkan</div>
        <ng-select
          class="pgntn-select"
          [(ngModel)]="perPage"
          [items]="perPageItems"
          [placeholder]="'Tampilkan'"
          [searchable]="false"
          [clearable]="false"
          (change)="changePerPage($event)"
          bindValue="value"
          bindLabel="label"
        >
        </ng-select>
        <div class="pgntn-item">Item</div>
      </div>
      <div class="pgntn-record">
        dari total
        <span class="pgntn-record-total">
          {{ pagination.total_items }}
        </span>
      </div>
    </div>
    <div class="pgntn-navigation">
      <div class="pgntn-button-start">
        <div class="pgntn-previous">
          <button
            [disabled]="pagination.previous_page! < 1"
            (click)="changePage({ value: pagination.previous_page })"
            type="button"
          >
            <svg
              width="16"
              height="16"
              xmlns="http://www.w3.org/2000/svg"
              viewBox="0 0 384 512"
            >
              <path
                d="M41.4 233.4c-12.5 12.5-12.5 32.8 0 45.3l192 192c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L109.3 256 278.6 86.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0l-192 192z"
              />
            </svg>
          </button>
        </div>
      </div>
      <div class="pgntn-page">
        <div class="pgntn-page-label">Halaman</div>
        <ng-select
          class="pgntn-select"
          [(ngModel)]="page"
          [items]="pageItems"
          [placeholder]="'Halaman'"
          [searchable]="false"
          [clearable]="false"
          (change)="changePage($event)"
          bindValue="value"
          bindLabel="label"
        >
        </ng-select>
        <div class="pgntn-page-record">
          dari
          <span class="pgntn-page-record-total">
            {{ pagination.total_pages }}
          </span>
        </div>
      </div>
      <div class="pgntn-button-end">
        <div class="pgntn-previous">
          <button
            [disabled]="pagination.previous_page! < 1"
            (click)="changePage({ value: pagination.previous_page })"
            type="button"
          >
            <svg
              width="16"
              height="16"
              xmlns="http://www.w3.org/2000/svg"
              viewBox="0 0 384 512"
            >
              <path
                fill="currentColor"
                d="M41.4 233.4c-12.5 12.5-12.5 32.8 0 45.3l192 192c12.5 12.5 32.8 12.5 45.3 0s12.5-32.8 0-45.3L109.3 256 278.6 86.6c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0l-192 192z"
              />
            </svg>
          </button>
        </div>
        <div class="pgntn-next">
          <button
            [disabled]="pagination.next_page! > pagination.total_pages!"
            (click)="changePage({ value: pagination.next_page })"
            type="button"
          >
            <svg
              width="16"
              height="16"
              xmlns="http://www.w3.org/2000/svg"
              viewBox="0 0 384 512"
            >
              <path
                fill="currentColor"
                d="M342.6 233.4c12.5 12.5 12.5 32.8 0 45.3l-192 192c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3L274.7 256 105.4 86.6c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0l192 192z"
              />
            </svg>
          </button>
        </div>
      </div>
    </div>
  </section>
</ng-container>
